fTools python error with option k=1 on 'Distance Matrix'

2012-03-14 02:43 PM - David Quinn

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14924

Description

When using the fTools plugin, 'Vector -> Analysis Tools -> Distance Matrix', if 'Summary Distance Matrix' is chosen with 'Use only the

nearest (k) target points' and the value of '1' is chosen, the plugin crashes. I attached a file with a minor modification of how to fix the

function def linearMatrix(), but I'm not sure how to connect to the code repository, or if it follows the correct conventions.

Here is the error message:

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:\\PROGRA~2\\Quantum GIS Wroclaw\\apps\\qgis\\python\\plugins\\fTools\\tools\\doPointDistance.py", line 140, in accept

    self.compute(point1, point2, field1, field2, outPath, matType, nearest, self.progressBar)

  File "C:\\PROGRA~2\\Quantum GIS Wroclaw\\apps\\qgis\\python\\plugins\\fTools\\tools\\doPointDistance.py", line 186, in compute

    self.linearMatrix(writer, provider1, provider2, index1, index2, nearest, distArea, matType, sindex, progressBar)

  File "C:\\PROGRA~2\\Quantum GIS Wroclaw\\apps\\qgis\\python\\plugins\\fTools\\tools\\doPointDistance.py", line 243, in linearMatrix

    mean = sum(distList) / len(distList)

ZeroDivisionError: integer division or modulo by zero

Python version:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

QGIS version:

1.7.4-Wroclaw Wroclaw, 411aff6

Python path: ['C:/PROGRA~2/Quantum GIS Wroclaw/apps/qgis/./python', 'C:/Users/djq/.qgis/python', 'C:/Users/djq/.qgis/python/plugins',

'C:/PROGRA~2/Quantum GIS Wroclaw/apps/qgis/./python/plugins', 'C:\\\\Program Files (x86)\\\\ArcGIS\\\\Desktop10.0\\\\Bin',

'c:\\\\mapnik-2.0.1rc0\\\\python\\\\2.7\\\\site-packages', 'D:\\\\Dropbox\\\\CODE\\\\Python',

'D:\\\\Dropbox\\\\CODE\\\\Python\\\\web_mapping', 'C:\\\\Program Files (x86)\\\\Quantum GIS Wroclaw',

'C:\\\\Windows\\\\system32\\\\python27.zip', 'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\Python27\\\\DLLs',

'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\Python27\\\\lib', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\Python27\\\\lib\\\\lib-tk',

'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\qgis\\\\bin', 'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\Python27',

'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode', 'C:\\\\Users\\\\djq\\\\.qgis\\\\python\\\\plugins\\\\mmqgis/forms',

'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools']
Associated revisions

Revision 580b9474 - 2013-08-27 12:45 PM - Borys Jurgiel

Merge pull request #769 from vinayan/topol

Fix #5181,#4761 - Ftools-Distance Matrix

History

#1 - 2012-03-15 06:41 AM - Alexander Bruy

- Category set to 44

#2 - 2012-04-15 10:00 AM - Giovanni Manghi

- Target version changed from 35 to Version 1.8.0

#3 - 2012-09-04 11:53 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2013-07-13 02:31 AM - Giovanni Manghi

- OS version deleted (Windows 7)

- Priority changed from Low to High

Still true on the latest master

#5 - 2013-07-13 09:52 AM - Giovanni Manghi

- Subject changed from fTools error with option k=1 on 'Distance Matrix' to fTools python error with option k=1 on 'Distance Matrix'

#6 - 2013-07-14 03:07 PM - Daniel Vaz

Please give it a try https://github.com/qgis/Quantum-GIS/pull/734

Thanks in advance

#7 - 2013-08-23 05:40 AM - vinayan Parameswaran

below pull request should fix it..

https://github.com/qgis/Quantum-GIS/pull/769

#8 - 2013-08-27 03:45 AM - Borys Jurgiel

- Status changed from Open to Closed

Fixed in changeset commit:"580b947498c615ab6e740e539ccfa50067baa6c2".

#9 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
Files

patch.py 1.71 KB 2012-03-14 David Quinn
